import { createTheme } from '@mui/material';

export const TableStyle = () => createTheme({
    components: {
        MUIDataTableToolbar: {
            styleOverrides: {
                root: {
                    paddingLeft: 15
                }
            }
        },
        MuiPaper: {
            styleOverrides: {
                root: {
                    boxShadow: 'none'
                }
            }

        },
        MUIDataTableBodyCell: {
            styleOverrides: {
                root: {
                    backgroundColor: "#FFF"
                }
            }
        },
        MuiTablePagination: {
            styleOverrides: {
                toolbar: {
                    paddingTop: 7,
                    alignItems: 'baseline'
                }
            }
        }
    }
})

export const TextLabels = {
    body: {
        noMatch: "No se encontró ningún elemento",
        toolTip: "Ordenar",
        columnHeaderTooltip: column => `Ordenar por ${column.label}`
    },
    pagination: {
        next: "Siguiente Pagina",
        previous: "Pagina Anterior",
        rowsPerPage: "Elementos por Página",
        displayRows: "de",
    },
    toolbar: {
        search: "Buscar",
        downloadCsv: "Descargar CSV",
        print: "Imprimir",
        viewColumns: "Seleccionar Columnas",
        filterTable: "Filtrar Tabla",
    },
    filter: {
        all: "Todos",
        title: "FILTROS",
        reset: "Limpiar",
    },
    viewColumns: {
        title: "Mostrar Columnas",
        titleAria: "Mostrar/Ocultar Columnas",
    },
    selectedRows: {
        text: "Elemento(s) selecionado",
        delete: "Eliminar",
        deleteAria: "Eliminar Columnas Seleccionadas",
    },
}
