import React from 'react'

import { Col, Row } from 'react-bootstrap'
import { PersonOutline, VerifiedUser, ListAlt } from '@mui/icons-material/'
import Actividades from '../Components/Home/Actividades'
import Candidatos from '../Components/Home/Candidatos'
import { Card } from '../Components/Card';
import { useSelector } from 'react-redux';

export function Home() {

  const profile = useSelector((state) => state.user.profile)

  return (
    <section >
      <div className="content-section">
        <div className="main">

          <div id="start_title">
            <h1>Bienvenido de nuevo {profile.nombre}</h1>
          </div>

          <div className="panel_options">
            <Row>
              <Col md="4">
                <Card
                  quantity={120} to='/dashboard/contrasenas' title='CONTRASEÑAS' icon={VerifiedUser} />
              </Col>
              <Col md="4">
                <Card
                  quantity={504} to='/dashboard/expedientes' title='EXPEDIENTES' icon={PersonOutline} />
              </Col>
              <Col md="4">
                <Card
                  quantity={343} to="/dashboard/puestos" title='PUESTOS' icon={ListAlt} />
              </Col>
            </Row>
          </div>
          <div className="historial_candidatos">
            <Row>
              <Col md="8">
                <Candidatos />
              </Col>
              <Col md="4">
                <Actividades />
              </Col>
            </Row>
          </div>
        </div>
      </div>
    </section>
  )

}
